Page MenuHomePhabricator

Months in the notifications should be upper- or lowercase, as appropriate per each language
Closed, ResolvedPublic

Description

In Finnish language months are written lowercase, but at https://en.wikipedia.org/wiki/Special:Notifications?uselang=fi they are written as "15. Heinäkuuta 2016", when they should be "15. heinäkuuta 2016". When I look at the source code the month looks correct there, so I think there's something that should be fixed in CSS somewhere.

A solution needs to be found that allows capitalization style for each language to be expressed as appropriate.

Event Timeline

Stryn created this task.Jul 22 2016, 12:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 12:31 PM
matej_suchanek added a subscriber: matej_suchanek.

Same in Czech, seems to be side effect of T137634

1.28.0-wmf.11 displays months not capitalized when a week day or today/yesterday is displayed (was addressed in T137634: Day names are in English and not translatables on Special:Notifications)
However, months are still capitalized when there are no weekdays ( - the underlined months in the screenshots should not be capitalized.

Quiddity added a subscriber: Quiddity.

Change 300683 had a related patch set uploaded (by Catrope):
Follow-up d47f0bd3: only capitalize the first letter of date titles on Special:Notifications

https://gerrit.wikimedia.org/r/300683

Change 300683 merged by jenkins-bot:
Follow-up d47f0bd3: only capitalize the first letter of date titles on Special:Notifications

https://gerrit.wikimedia.org/r/300683

Note that CSS is a completely inadequate way to handle casing of dates. If MediaWiki doesn't provide the translations you need with the correct case, CLDR has all the options.

jmatazzoni renamed this task from Months in the notifications should be lowercase to Months in the notifications should be upper- or lowercase, as appropriate per each language.Jul 25 2016, 4:42 PM
jmatazzoni updated the task description. (Show Details)

Checked in betalabs 1.28.0-alpha (58ea3e0)

Months names are displayed according to their position in the label.
Non-capitalized - since the month name comes after the date and the weekday name. e.g. "11. Červenec 2016" (production) vs "11. červenec 2016" (in betalabs)
The screenshots show non-capitalized month names (checked for uselang=ru, cs, fi and en and de for comparison).


jmatazzoni closed this task as Resolved.Jul 27 2016, 5:40 PM
jmatazzoni claimed this task.

Good job on this @Catrope and @Mooeypoo!